%global service keystone
%global plugin keystone-tempest-plugin
%global module keystone_tempest_plugin
%global with_doc 0

%{!?upstream_version: %global upstream_version %{commit}}
%global commit b573efb357ad1abba0227357015aa0d782e40541
%global shortcommit %(c=%{commit}; echo ${c:0:7})
# DO NOT REMOVE ALPHATAG
%global alphatag .%{shortcommit}git

%if 0%{?dlrn}
%define tarsources %module
%else
%define tarsources %plugin
%endif


%if 0%{?fedora}
%global with_python3 1
%endif

%global common_desc \
This package contains Tempest plugin for functional testing of keystone \
LDAP and federation features. Additionally it provides a plugin to \
automatically load these tests into Tempest.

Name:       python-%{service}-tests-tempest
Version:    0.2.0
Release:    1%{?alphatag}%{?dist}
Summary:    Tempest plugin for the keystone project.
License:    ASL 2.0
URL:        https://git.openstack.org/cgit/openstack/%{plugin}/

Source0:    http://github.com/openstack/%{plugin}/archive/%{commit}.tar.gz#/%{plugin}-%{shortcommit}.tar.gz

BuildArch:  noarch
BuildRequires:  git
BuildRequires:  openstack-macros

%description
%{common_desc}

%package -n python2-%{service}-tests-tempest
Summary: %{summary}
%{?python_provide:%python_provide python2-%{service}-tests-tempest}
BuildRequires:  python2-devel
BuildRequires:  python2-pbr
BuildRequires:  python2-setuptools

Obsoletes: python-keystone-tests < 1:13.0.0

Requires:   python2-tempest >= 1:17.2.0
%if 0%{?fedora}
Requires:   python2-lxml
%else
Requires:   python-lxml
%endif
Requires:   python2-oslo-config >= 2:3.22.0
Requires:   python2-six => 1.10.0
Requires:   python2-testtools
Requires:   python2-requests >= 2.14.2

%description -n python2-%{service}-tests-tempest
%{common_desc}

%if 0%{?with_doc}
%package -n python-%{service}-tests-tempest-doc
Summary:        python-%{service}-tests-tempest documentation

BuildRequires:  python2-sphinx
BuildRequires:  python2-openstackdocstheme

%description -n python-%{service}-tests-tempest-doc
It contains the documentation for the Keystone tempest tests.
%endif

%if 0%{?with_python3}
%package -n python3-%{service}-tests-tempest
Summary: %{summary}
%{?python_provide:%python_provide python3-%{service}-tests-tempest}
BuildRequires:  python3-devel
BuildRequires:  python3-pbr
BuildRequires:  python3-setuptools

Requires:   python3-tempest >= 1:17.2.0
Requires:   python3-lxml
Requires:   python3-oslo-config >= 2:3.22.0
Requires:   python3-six => 1.10.0
Requires:   python3-testtools
Requires:   python3-requests >= 2.14.2

%description -n python3-%{service}-tests-tempest
%{common_desc}
%endif

%prep
%autosetup -n %{tarsources}-%{upstream_version} -S git

# Let's handle dependencies ourseleves
%py_req_cleanup
# Remove bundled egg-ingo
rm -rf %{module}.egg-info

%build
%if 0%{?with_python3}
%py3_build
%endif
%py2_build

# Generate Docs
%if 0%{?with_doc}
%{__python2} setup.py build_sphinx -b html
# remove the sphinx build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

%install
%if 0%{?with_python3}
%py3_install
%endif
%py2_install

%files -n python2-%{service}-tests-tempest
%license LICENSE
%doc README.rst
%{python2_sitelib}/%{module}
%{python2_sitelib}/*.egg-info

%if 0%{?with_python3}
%files -n python3-%{service}-tests-tempest
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{module}
%{python3_sitelib}/*.egg-info
%endif

%if 0%{?with_doc}
%files -n python-%{service}-tests-tempest-doc
%doc doc/build/html
%license LICENSE
%endif

%changelog
* Mon Nov 16 2020 Steve Linabery <slinaber@redhat.com> 0.2.0-1.b573efbgit
- Rebase to 0.2.0

* Mon May 14 2018 Jon Schlueter <jschluet@redhat.com> 0.0.1-1.0.564670bgit
- fix Obsoletes (rhbz#1546285)

* Sat Feb 17 2018 Alfredo Moralejo <chkumar@redhat.com> 0.0.1-0.1.g12689f57it
- Update to pre-release 0.0.1 (12689f57317ea8aa5a2a85ade2fb6e404bc81c16)
